# TODO: python and server subpackages
Summary:	Quantum GIS (QGIS) - a Geographic Information System (GIS)
Summary(pl.UTF-8):	Quantum GIS (QGIS) - system informacji geograficznych (GIS)
Name:		qgis
Version:	2.18.9
Release:	2
License:	GPL v2+
Group:		Applications/Engineering
Source0:	http://qgis.org/downloads/%{name}-%{version}.tar.bz2
# Source0-md5:	d55d4931651d1967876ba89aab8d2935
# 1st chunk of https://daniele.vigano.me/git/dani/copr-dani-qgis/raw/25b8f81ccabbfdb183d4850a66e884c183444f14/qgis_sip-ftbfs.patch
Patch0:		%{name}_sip-ftbfs.patch
URL:		http://qgis.org/
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtSvg-devel
#BuildRequires:	QtTest-devel
BuildRequires:	QtUiTools-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXml-devel
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	bison >= 2.4
BuildRequires:	cmake >= 2.8.6
BuildRequires:	expat-devel >= 1.95
BuildRequires:	flex >= 2.5.6
BuildRequires:	gdal-devel >= 1.4.0
BuildRequires:	geos-devel >= 3.4.0
BuildRequires:	grass-devel >= 6.0.0
BuildRequires:	gsl-devel >= 1.8
BuildRequires:	libspatialite-devel
BuildRequires:	postgresql-devel >= 8.0.0
BuildRequires:	proj-devel >= 4.4.0
BuildRequires:	python-PyQt4-devel-tools >= 4.8.3
BuildRequires:	python-PyQt4-uic	 >= 4.8.3
BuildRequires:	python-PyQt4-qscintilla2
BuildRequires:	python-devel >= 2.7
BuildRequires:	python-sip-devel >= 4.12
BuildRequires:	qca-devel
BuildRequires:	qjson-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	qt4-qmake >= 4.8.0
BuildRequires:	qwt-devel >= 5.0.0
BuildConflicts:	qwt-devel >= 6.1.0
# ...or -DWITH_QWTPOLAR=OFF
BuildRequires:	sip-PyQt4-qscintilla2
BuildRequires:	spatialindex-devel
BuildRequires:	sqlite3-devel
Suggests:	gpsbabel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quantum GIS (QGIS) is designed to be a Geographic Information System
(GIS) built for Linux/Unix. QGIS will offer support for vector and
raster formats. Currently QGIS supports shapefiles and
PostgreSQL/PostGIS layers.

%description -l pl.UTF-8
Quantum GIS (QGIS) jest projektowany by być systemem informacji
geograficznych (GIS - Geographic Information System) stworzonym dla
Linuksa/Uniksów. QGIS będzie oferował obsługę formatów wektorowych i
rastrowych. Aktualnie QGIS obsługuje pliki kształtów oraz warstwy
PostgreSQL/PostGIS.

%package devel
Summary:	Header files for QGIS
Summary(pl.UTF-8):	Pliki nagłówkowe QGIS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for QGIS.

%description devel -l pl.UTF-8
Pliki nagłówkowe QGIS.

%package grass
Summary:	GRASS support for QGIS
Summary(pl.UTF-8):	Wsparcie GRASS dla QGIS-a
Group:		Applications/Engineering
Suggests:	grass

%description grass
GRASS plugin for QGIS required to interface with the GRASS system.

%prep
%setup -q
%patch0 -p1

%build
%cmake . \
	-DGRASS_INCLUDE_DIR7=%{_includedir}/grass72 \
	-DQGIS_MANUAL_SUBDIR=/share/man \
	-DENABLE_TESTS:BOOL=FALSE
# TODO: rpm/qgis.spec.template

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},%{_datadir}/mime/packages}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p debian/q*.desktop $RPM_BUILD_ROOT%{_desktopdir}
install -p debian/q*.png $RPM_BUILD_ROOT%{_pixmapsdir}
install -p debian/qgis.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages

# %find_lang %{name} --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS CONTRIBUTE.md ChangeLog Exception_to_GPL_for_Qt.txt NEWS README.md
%attr(755,root,root) %{_bindir}/qbrowser
%attr(755,root,root) %{_bindir}/qgis
%attr(755,root,root) %{_libdir}/libqgis*.so.*.*.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/crssync
%attr(755,root,root) %{_libdir}/%{name}/qgis_help
%attr(755,root,root) %{_libdir}/%{name}/plugins/lib*.so
%exclude %{_libdir}/%{name}/plugins/libgrass*.so
%exclude %{_libdir}/libqgisgrass*.so.*.*.*
%exclude %{_libdir}/libqgispython.so.*.*.*
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/grass
%exclude %{_datadir}/%{name}/python
%{_desktopdir}/q*.desktop
%{_pixmapsdir}/q*.png
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/q*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libqgis*.so
%{_includedir}/%{name}

%files grass
%defattr(644,root,root,755)
%{_libdir}/%{name}/grass
%attr(755,root,root) %{_libdir}/%{name}/plugins/libgrass*.so
%attr(755,root,root) %{_libdir}/libqgisgrass*.so.*.*.*
%{_datadir}/%{name}/grass
%changelog
* Sat Jul 01 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qgis.git;a=log;h=master

* Sat Jul 01 2017 Jan Rękorajski <baggins@pld-linux.org> 33afcd6
- rebuild with gsl 2.4
- release 2 (by relup.sh)

* Mon Jun 05 2017 Tomasz Pala <gotar@pld-linux.org> adafd11
- chmod +x plugins

* Sun Jun 04 2017 Tomasz Pala <gotar@pld-linux.org> e5ca2a4
- fixed mandir install directory, grass subpackage created

* Sun Jun 04 2017 Tomasz Pala <gotar@pld-linux.org> d9a8b9d
- cmake invocation fixed

* Sun Jun 04 2017 Tomasz Pala <gotar@pld-linux.org> 0dc3068
- packaging initial update

* Sat Jun 03 2017 Tomasz Pala <gotar@pld-linux.org> ce1a8cd
- start work on 2.18.9

* Sun May 15 2016 Tomasz Pala <gotar@pld-linux.org> c7cbb97
- remaining BRs added

* Sun May 15 2016 Tomasz Pala <gotar@pld-linux.org> 3f70786
- updated BRs to 2.14.2

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 084035b
- dropped pre-cvs changelog

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bf3eb0a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cc2e73f
- converted to UTF-8

* Wed Oct 05 2005 Jakub Bogusz <qboosh@pld-linux.org> e2054dc
- no static plugins

* Thu Sep 15 2005 tommat <tommat@pld-linux.org> ffa17d6
- version 0.7.0
- added missing BRs

* Sun Feb 13 2005 bszx <bszx@pld-linux.org> d473ee4
- updated to 0.6.0

* Sun Dec 05 2004 darekr <darekr@pld-linux.org> b443230
- BR: ac,am,lt

* Sat Dec 04 2004 Jakub Bogusz <qboosh@pld-linux.org> 5ca7908
- proper md5, cleanup

* Sat Dec 04 2004 bszx <bszx@pld-linux.org> 7a896e2
- updated to 0.5.0

* Sat Dec 04 2004 bszx <bszx@pld-linux.org> e3b77c2
- it enables building with make -j n, n>1

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 651ffc4
- QT->Qt
- spelling fixes

* Fri May 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 4e9ee5a
- missing dir, ldconfig, separated -static

